#ifndef ENGINE_H
# define ENGINE_H

#include <struct.h>
#include <render.h>

# ifndef ENGINE_PROTOTYPE
#  define ENGINE_PROTOTYPE

//Render
void	LoadPipeline();
void	UnloadPipeline();

//UI
void	UserInterface(const Player *player);
//void	Menu();

void	EngineStateSwitch(ENGINE_STATE_E engine_state);

# endif

//other stuff here

#endif
